Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.enet

Elastic-Net (ENET) regression classifier.

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.

Classes

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`ENET`([lm, trace, normalize, intercept, ...]) | Elastic-Net regression (ENET) `Classifier`.
`ENETWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights ENET trained
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

Exceptions

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`ENET`([lm, trace, normalize, intercept, ...]) | Elastic-Net regression (ENET) `Classifier`.
`ENETWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights ENET trained
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »